<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="Author" content="Todd Riggins">
   <meta name="GENERATOR" content="Mozilla/4.61 [en] (Win98; I) [Netscape]">
   <title>EXOTICA: CD PLAYER</title>
</head>
<body background="images/exotica_bg.gif" bgcolor="#000000" text="#ffffff">
<center>
<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><center><b><font color="maroon"><font size=+2>
<a NAME="CD PLAYER"></a>EXOTICA: CD PLAYER
</font></font></b></center></td></tr>
</table>
<br>

<table BORDER =4 CELLSPACING=0 CELLPADDING=0 bgcolor="#CCCCCC" bordercolor="red">
<tr><td><b><font color="black">
<A href="e_api.html">API MAIN PAGE</A><br>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><center><b><font color="black">
Contents<br>
11 routines<p>
<table BORDER =4 CELLSPACING=0 CELLPADDING=0 bgcolor="#CCCCCC" bordercolor="red">
<tr><td><b><font color="black">
<A href="e_dcd.html#CD_OPEN">CD_OPEN</A><br>
<A href="e_dcd.html#CD_CLOSE">CD_CLOSE</A><br>
<A href="e_dcd.html#CD_PLAY">CD_PLAY</A><br>
<A href="e_dcd.html#CD_STOP">CD_STOP</A><br>
<A href="e_dcd.html#CD_GETCURRENTTRACK">CD_GETCURRENTTRACK</A><br>
<A href="e_dcd.html#CD_PLAYTRACK">CD_PLAYTRACK</A><br>
<A href="e_dcd.html#CD_TRACKPREVIOUS">CD_TRACKPREVIOUS</A><br>
<A href="e_dcd.html#CD_TRACKNEXT">CD_TRACKNEXT</A><br>
<A href="e_dcd.html#CD_PAUSE">CD_PAUSE</A><br>
<A href="e_dcd.html#CD_RESUME">CD_RESUME</A><br>
<A href="e_dcd.html#CD_GETNUMTRACKS">CD_GETNUMTRACKS</A><br>
</font></b></td></tr>
</table>
</font></b></center></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="CD_OPEN"></a><center><font color="Maroon">CD_OPEN</font></center>
<hr WIDTH="100%">
C: void CD_OPEN( void ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(CD_OPEN,{NULL}) <br>
<hr WIDTH="100%">
Description: Initializes the cd player for playing cd music.<p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="CD_CLOSE"></a><center><font color="Maroon">CD_CLOSE</font></center>
<hr WIDTH="100%">
C: void CD_CLOSE( void ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(CD_CLOSE,{NULL}) <br>
<hr WIDTH="100%">
Description: Shutdowns the cd player. <p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="CD_PLAY"></a><center><font color="Maroon">CD_PLAY</font></center>
<hr WIDTH="100%">
C: void CD_PLAY( void ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(CD_PLAY,{NULL}) <br>
<hr WIDTH="100%">
Description: Starts Playing the CD at the beginning.<p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="CD_STOP"></a><center><font color="Maroon">CD_STOP</font></center>
<hr WIDTH="100%">
C: void CD_STOP( void ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(CD_STOP,{NULL}) <br>
<hr WIDTH="100%">
Description: Stops the CD if playing. <p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="CD_GETCURRENTTRACK"></a><center><font color="Maroon">CD_GETCURRENTTRACK</font></center>
<hr WIDTH="100%">
C: int CD_GETCURRENTTRACK( void ) <br>
<hr WIDTH="100%">
Euphoria Function: c_func(CD_GETCURRENTTRACK,{NULL}) <br>
<hr WIDTH="100%">
Description: Returns the current track the CD is playing. <p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="CD_PLAYTRACK"></a><center><font color="Maroon">CD_PLAYTRACK</font></center>
<hr WIDTH="100%">
C: void CD_PLAYTRACK(int Track_Number) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(CD_PLAYTRACK,{Track_Number}) <br>
<hr WIDTH="100%">
Description: Plays a specified track. <p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="CD_TRACKPREVIOUS"></a><center><font color="Maroon">CD_TRACKPREVIOUS</font></center>
<hr WIDTH="100%">
C: void CD_TRACKPREVIOUS( void ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(CD_TRACKPREVIOUS,{NULL}) <br>
<hr WIDTH="100%">
Description: Plays the previous track. <p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="CD_TRACKNEXT"></a><center><font color="Maroon">CD_TRACKNEXT</font></center>
<hr WIDTH="100%">
C: void CD_TRACKNEXT( void ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(CD_TRACKNEXT,{NULL}) <br>
<hr WIDTH="100%">
Description: Plays the next track. <p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="CD_PAUSE"></a><center><font color="Maroon">CD_PAUSE</font></center>
<hr WIDTH="100%">
C: void CD_PAUSE( void ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(CD_PAUSE,{NULL}) <br>
<hr WIDTH="100%">
Description: Pauses the CD Music. <p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="CD_RESUME"></a><center><font color="Maroon">CD_RESUME</font></center>
<hr WIDTH="100%">
C: void CD_RESUME( void ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(CD_RESUME,{NULL}) <br>
<hr WIDTH="100%">
Description: Resumes playing the paused CD music. <p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="CD_GETNUMTRACKS"></a><center><font color="Maroon">CD_GETNUMTRACKS</font></center>
<hr WIDTH="100%">
C: int CD_GETNUMTRACKS( void ) <br>
<hr WIDTH="100%">
Euphoria Function: c_func(CD_GETNUMTRACKS,{NULL}) <br>
<hr WIDTH="100%">
Description: Returns how many tracks the CD has.
</font></b></td></tr>
</table>
<br>

<table BORDER =4 CELLSPACING=0 CELLPADDING=0 bgcolor="#CCCCCC" bordercolor="red">
<tr><td><b><font color="black">
<A href="e_api.html">API MAIN PAGE</A><br>
</font></b></td></tr>
</table>
<br>

</center>
</body>
</html>
